#!/usr/bin/env python

from OVSFileSP import FileSP
class OVSSPNFS(FileSP):
    @classmethod
    def get_plugin_info(klass):
        return {
            "vendor name": "Oracle",
            "description": "NFS File Based Storage Provider",
            "plugin version": "0.0.1",
        }

    def __init__(self, fs_spec, fs_mntops=""):
        self.fs_spec = fs_spec

    @property
    def info(self):
        return self.__dict__

    @property
    def fs_type(self):
        return "nfs"
