#!/usr/bin/env python

from plugins.OVSFileSP import FileSP
from plugins.OVSPhySP import PhySP
from OVSPhySR import PhySR
from OVSFileSR import FileSR

def create(sp, *argv):
    if isinstance(sp, PhySP):
        return PhySR(sp, *argv)
    elif isinstance(sp, FileSP):
        return FileSR(sp, *argv)
    else:
        raise NotImplementedError()
