#!/usr/bin/env python
#^#
# update_password.py
#
# <description>
#
#
# Copyright (C) 2006, 2007 Oracle.  All rights reserved.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public
# License as published by the Free Software Foundation, version 2.
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
# You should have received a copy of the GNU General Public
# License along with this program; if not, write to the
# Free Software Foundation, Inc., 59 Temple Place - Suite 330,
# Boston, MA 021110-1307, USA.
#$#

import pexpect
from os.path import basename
import sys

def update_password(username, password):
    child = pexpect.spawn("passwd %s" % username)
    i = child.expect(["New UNIX password:", pexpect.EOF])
    if i==0:
        child.sendline(password)
        child.expect("Retype new UNIX password:")
        child.sendline(password)
        child.expect(pexpect.EOF)
        return 0
    else:
        return 1

if __name__ == "__main__":
    try:
        username, password = sys.argv[1:]
    except:
        print >> sys.stderr, "usage: %s <username> <password>" % basename(__file__)
        sys.exit(1)

    rs = update_password(username, password)
    if not rs==0:
        print >> sys.stderr, "error"
        sys.exit(1)
